# Log Tool
## Overview
### Product introduction
Log Tool for displaying system logs in a centralized manner. It provides log parsing and classified display functions.

### Product highlights
#### Intelligent collection and display
Collect and display logs in the system synchronously in real time. In addition, it provides filtering and aggregation functions to display statistics on duplicate logs in a consolidated manner.

#### Standardized panoramic situation
Provides system logs, startup logs, login logs, application logs, kysec logs, crash logs, audit logs, httc logs and trust logs. Standardized description of events from a security perspective, including target event level, object type, time, and event details.

#### Modular maintenance expansion
The modular and pluggable architecture allows each type of log component to expand horizontally in a modular manner and maintain different types of logs independently, making it easy to use and maintainable.

## Introduction to use
### Software position
Click "Start Menu" of the operating system, select and click "Log Tool" to open the software interface of Log Tool, as shown in Figure 1.
![Figure 1 Start menu (open Log Tool)-big](image/1.png)

### Area is introduced
The Log Tool interface is divided into four areas:Search area,Content display area, Tablet area, and Left sidebar, as shown in Figure 2.
![Figure 2 area introduction-big](image/2.png)

### Get help
Click the icon ![](image/menu.png) in the software interface of Log Tool, click the "Help" button, and the "User Manual" window pops up, displaying the information related to the help manual of Log Tool, as shown in Figure 3.
![Figure 3 User manual-big](image/3.png)

### Schema support
The display mode of the Log Tool software interface varies with the system theme, UKUI Menu—>Settings—>Personalized—>Theme,as shown in Figure 4-5.
![Figure 4 Light-colored pattern-big](image/4.png)

![Figure 5 Dark mode-big](image/5.png)

### Language support
By default, the Log Tool software interface follows the system language setting and supports Chinese and English, as shown in Figure 6-7.
![Figure 6 Chinese display-big](image/6.png)
![Figure 7 English display-big](image/7.png)

## Log type 
### System
System include system logs, startup logs, login logs and application logs.
### System
Click System Log in the left pane. The system log content is displayed in the level, time, process, and Information fields. Select one of the system logs, and the details are displayed in the lower tablet area, as shown in Figure 8.
![Figure 8 System logs-big](image/8.png)

### Start-up
Click Start Log in the left pane. The start log information is displayed in the content pane. The fields are level, time, event type, and Information path. Select one of the startup logs, and the details are displayed in the lower tablet area, as shown in Figure 9.
![Figure 9 Startup log-big](image/9.png)

### Login
Click Login Log in the left pane. The login log information is displayed in the content pane. The fields are level, time, user, and Information. Select one of the logins and the details will be displayed in the lower tablet area, as shown in Figure 10.
![Figure 10 Login log-big](image/10.png)

### Application
Click Application Logs in the left pane. The application log  information is displayed in the content pane. The fields are level, time, app service, and Information. Select an application log and the details are displayed in the lower tablet area, as shown in Figure 11.
![Figure 11 Application Log-big](image/11.png)

### Security
Security logs include kysec logs, crash logs, audit logs, httc logs and trust logs.
### Kysec log
Click Kysec Log in the left pane. The kysec log information is displayed in the content pane, including level, time,  process,and Information. Select a kysec log, and the details are displayed in the lower clipboard area, as shown in Figure 12.
![Figure 12 Kysec log-big](image/12.png)

### Crash log
Click Crash Log in the left pane. The crash log information is displayed in the content pane. The fields are level, time, type, and Information. Select one of the crash logs, and the details are displayed in the lower clipboard area, as shown in Figure 13.
![Figure 13 crash log-big](image/13.png)

### Audit log
Click Audit Log in the left pane. The audit log content is displayed in the content pane. The fields are level, time, type, and Information. Select an audit log and the details are displayed in the lower SLATE area, as shown in Figure 14.
![Figure 14 Audit log-big](image/14.png)

### Httc log
Click Httc Log in the left pane. The Httc log content is displayed in the content pane. The fields are level, time, event type, and action. Select one of the httc log and the details are displayed in the lower SLATE area, as shown in Figure 15.
![Figure 15 Httc log-big](image/15.png)

### Trust log
Click Trust Log in the left pane. The Trust log content is displayed in the content pane. The fields are level, time, measure type, and measure status. Select one of the trust log and the details are displayed in the lower SLATE area, as shown in Figure 16.
![Figure 16 Trust log-big](image/16.png)

## 4.Operation method
### Search
Click the search area and enter the keyword. The search content is displayed in the content display area. If you delete all keywords, the search content is cleared. See Figure 17.
![Figure 17 Search operation-big](image/17.png)

### screening
Supports filtering log content by time or log level.
#### Screen by time
Select any time period within three months to filter, or use quick filter (today, last three days, last week, last month, last three months), as shown in Figure 18.
![Figure 18 Filter by time-big](image/18.png)

#### Screening by level
You can filter different logs according to different log levels, as shown in Figure 19.
![Figure 19 Filter by level-big](image/19.png)

### Copy
Select the contents in the table area or details area to copy, as shown in Figure 20.
![Figure 20 Copying log content-big](image/20.png)

### Export
Click the icon ![](image/export.png) in the software interface of Log Tool  to export the current logs in TXT, CSV, HTML, etc., as shown in Figure 21.
![Figure 21 Export file-big](image/21.png)

### Refresh
Right-click the log content display area and choose "Refresh" , or click the icon ![](image/refresh.png) in the software interface of Log Toolto update the filtering result of the Log Tool to the latest data, as shown in Figure 22.
![Figure 22 Refreshing the log-big](image/22.png)

### The sorting
After all the data is loaded in the Log Tool, manually click the "![](image/sort-down.png) " button behind the time to carry out time backward sorting, as shown in FIG. 23.
![Figure 23 Log sorting (in reverse)-big](image/23.png)

After loading all data in Log Tool, manually click the "![](image/sort-up.png) " button behind the time to perform chronological sorting, as shown in Figure 24.
![Figure 24 Log ordering (sequential ordering)-big](image/24.png)

### Regular log cleaning
The Log Tool can delete and clear logs regularly according to the set date, which can be set as per day, week or month.Click the icon ![](image/menu.png) in the software interface of Log Tool，Click the "Clean the log regularly" button,Four options pop up. Close is selected by default. After selecting any other date, perform the log cleaning operation after the first boot of the set cycle, as shown in Figure 25.
![Figure 25 Regular log cleaning-big](image/25.png)

## Appendix: Frequently Asked Questions and Solutions (FAQ)

1.Q: How to deal with the inconsistency between the log recording time of the Log Tool and the current system time?

A: some log’s time is recorded according to the hardware clock, such as the system startup log. If the hardware clock is inconsistent with the system time, use the command “hwlock -- systohc” at the terminal to set the hardware clock to be consistent with the system time.

2.Q: How to deal with the problem that some logs cannot be searched in the Log Tool?

A: By default, the Log Tool views the log within the first three months of the current system time. The difference between the time when the system is not connected to the network and the time after connecting to the network may be greater than three months. You can find relevant logs by expanding the search scope of logs.

3.Q: How to deal with the problem that the Log Tool cannot be used after the terminal starts the Log Tool and presses”Ctrl + z”?

A: The function of “Ctrl + z” is to stop the process and run in the background. The Log Tool cannot be used in the foreground. The actual program is still running, but it is suspended. Input “fg” at the terminal to resume use.

4.Q: How to handle the problem that the exported log file has no content when it is opened?

A: There are too many log contents. Open the file before the export is finished, and the file contents cannot be loaded. You need to close the file and reopen it. The next time you view the export log file, wait until the Log Tool prompts that the export is successful.

5.Q: How to sort logs?

A: The information list uses the system's native controls. If the up and down arrows are not displayed, it means that there is no sorting. After clicking sorting, the up and down arrows will be displayed. Click the title of the information list. For example, click the level of the system log, a down arrow will appear on the right, and click the level again, an up arrow will appear. At this time, you can sort normally.

6.Q: Why is the Log Tool not sorted by log time when it is opened for the first time?

A: Log sorting does not support sorting during loading, so it will not be sorted by time by default when opening it for the first time. You need to manually click to sort after log loading.

7.Q: How to handle the problem that the Log Tool audit log is empty or missing?

A: The audit service is disabled by default. You need to manually enable it. If the audit service is disabled abnormally, no audit log is generated. Run the systemctl status auditd.service command to check whether the audit service is in the active state. If not, run the sudo vim /etc/default/grub command to modify the file and run the update-grub command. Modify audit=0 in file to audit=1.After the audit is complete, restart the system and start the audit service.
