# 日志查看器
## 概 述
### 产品简介
日志查看器是一款系统日志集中展示工具，提供日志解析和分类显示功能。

### 产品亮点

#### 智能化收集展示
实时同步收集展示系统内日志信息，根据日志类型进行归类显示。同时，具有过滤和聚合功能，对重复日志信息进行合并统计显示。

#### 标准化全景态势
提供系统日志、启动日志、登录日志、应用日志、麒麟安全日志、崩溃日志、审计日志、指令流日志和可信日志。通过安全视角将事件标准化描述，包含目标事件等级、对象类型、时间、事件详细信息。

#### 模块化维护扩展
采用模块化、可插拔架构设计，每类日志组件能够以模块化横向扩展，对不同类别日志独立维护，具有灵活易用、可维护特征。

## 使用入门

### 软件位置
点击操作系统“开始菜单”，选择并点击“日志查看器”，打开日志查看器软件界面，如图1所示。
![图 1 开始菜单（打开日志查看器）-big](image/1.png)
### 区域介绍
日志查看器界面划分为四个区域：搜索区、内容展示区、写字板区域和左边栏，如图2所示。
![图 2 区域介绍-big](image/2.png)
### 获取帮助
日志查看器软件界面中点击![](image/menu.png)图标，点击“帮助”按钮，弹出“用户手册”弹窗，显示日志查看器的帮助手册相关信息，如图3所示。
![图 3 用户手册-big](image/3.png)
### 模式支持
日志查看器软件界面显示模式随系统主题变化，开始菜单—>设置—>个性化—>主题进行模式的切换。如图4至5所示。
![图 4 浅色模式-big](image/4.png)

![图 5 深色模式-big](image/5.png)
### 语言支持
日志查看器软件界面默认跟随系统语言设置，支持中文和英文，如图 6至7所示。
![图 6 中文显示-big](image/6.png)
![图 7 英文显示-big](image/7.png)

## 日志类型
### 系 统
系统日志包括：系统日志、启动日志、登录日志和应用日志。
### 系统日志
点击左边栏“系统日志”，内容展示区显示系统日志内容信息，显示字段为级别、时间、进程和信息。选中某条系统日志，详细内容将显示在下方写字板区域，如图8所示。
![图 8 系统日志-big](image/8.png)
### 启动日志
点击左边栏“启动日志”，内容展示区显示启动日志内容信息，显示字段为级别、时间、事件类型和信息路径。选中某条启动日志，详细内容将显示在下方写字板区域，如图9所示。
![图 9 启动日志-big](image/9.png)
### 登录日志
点击左边栏“登录日志”，内容展示区显示登录日志内容信息，显示字段为级别、时间、用户和信息。选中某条登录日志，详细内容将显示在下方写字板区域，如图10所示。
![图 10登录日志-big](image/10.png)
### 应用日志
点击左边栏“应用日志”，内容展示区显示应用日志内容信息，显示字段为级别、时间、应用服务和信息。选中某条应用日志，详细内容将显示在下方写字板区域，如图11所示。
![图 11 应用日志-big](image/11.png)
### 安全日志
安全日志包括：麒麟安全日志、崩溃日志、审计日志、指令流日志和可信日志。
### 麒麟安全日志
点击左边栏“麒麟安全”，内容展示区显示麒麟安全日志内容信息，显示字段为级别、时间、进程和信息。选中某条麒麟安全日志，详细内容将显示在下方写字板区域，如图12所示。
![图 12 麒麟安全日志-big](image/12.png)
### 崩溃日志
点击左边栏“崩溃日志”，内容展示区显示崩溃日志内容信息，显示字段为级别、时间、类型和信息。选中某条崩溃日志，详细内容将显示在下方写字板区域，如图13所示。
![图 13 崩溃日志-big](image/13.png)
### 审计日志
点击左边栏“审计日志”，内容展示区显示审计日志内容信息，显示字段为级别、时间、类型和信息。选中某条审计日志，详细内容将显示在下方写字板区域，如图14所示。
![图 14 审计日志-big](image/14.png)
### 指令流日志
点击左边栏“指令流日志”，内容展示区显示指令流日志内容信息，显示字段为级别、时间、事件类型和处理结果。选中某条指令流日志，详细内容将显示在下方写字板区域，如图15所示。
![图 15 指令流日志-big](image/15.png)
### 可信日志
点击左边栏“可信日志”，内容展示区显示可信日志内容信息，显示字段为级别、时间、度量类型和度量状态。选中某条可信日志，详细内容将显示在下方写字板区域，如图16所示。
![图 16 可信日志-big](image/16.png)

## 操作方法
### 搜 索
点击搜索区并输入关键字，内容展示区展示搜索内容；删除所有关键字，则清空搜索内容。如图17所示。
![图 17 搜索操作-big](image/17.png)
### 筛 选
支持按照时间或日志级别进行日志内容的筛选。
#### 按时间筛选
选择任意三个月内的时间段进行筛选，或者使用快捷筛选（今天、近三天、近一周、近一个月、近三个月），如图18所示。
![图 18 按时间筛选操作-big](image/18.png)
#### 按级别筛选
不同日志您可以按照不同日志级别进行筛选，如图19所示。
![图 19 按级别筛选操作-big](image/19.png)
### 复 制
选中表格区域或详情区域中的内容进行复制，如图20所示。
![图 20 复制日志内容-big](image/20.png)
### 导 出
日志查看器软件界面中点击![](image/export.png)图标，对当前日志进行导出，导出的文件格式支持txt、csv、html等，如图21所示。
![图 21 导出文件-big](image/21.png)
### 刷 新
右键点击日志内容展示区域选择“刷新”操作，或者点击日志查看器软件界面中![](image/refresh.png)图标，日志查看器的筛选结果将更新为最新数据，如图22所示。
![图22 刷新日志-big](image/22.png)
### 排 序
日志查看器中数据全部加载完成，手动点击时间后方的“![](image/sort-down.png)”按钮，可以进行时间倒序排序，如图23所示。
![图23 日志排序（倒序）-big](image/23.png)

日志查看器中数据全部加载完成，手动点击时间后方的“![](image/sort-up.png)”按钮，可以进行时间顺序排序，如图24所示。

![图24 日志排序（顺序）-big](image/24.png)
### 定时清理日志
日志查看器可根据设定的日期定期删除和清空日志，日期可设置为按天、按周、按月。日志查看器软件界面中点击![](image/menu.png)图标，点击“定期清理日志”按钮，弹出四种选项。默认选中“不自动清理”。选中其他任一日期后，按照设置周期的第一次开机后执行清理日志操作，如图25所示。
![图25 定时清理日志-big](image/25.png)

## 附录：常见问题及处理方法(FAQ)
1.如何处理日志查看器日志记录时间与当前系统时间不一致的问题？

答：有的日志时间是根据硬件时钟记录的，如系统启动日志。硬件时钟与系统时间不一致的话，需要在终端使用命令hwclock --systohc将硬件时钟设置与系统时间一致。

2.如何处理部分日志在日志查看器里搜索不到的问题？

答：日志查看器默认查看日志的时间范围为当前系统时间的前三个月，系统未联网时间跟联网后差异可能大于三个月。可以通过扩大日志搜索范围来查找相关的日志。

3.如何处理终端启动日志查看器，按ctrl+z后，日志查看器无法使用的问题？

答：ctrl+z的作用是停止进程并在后台运行，日志查看器在前台无法使用，实际程序还在运行，只是暂停了。在终端输入fg，可以恢复使用。

4.如何处理导出的日志文件打开无内容的问题？

答：日志内容过多，未导出结束就打开文件，文件内容无法加载。需要关掉该文件，重新打开。下次查看导出日志文件时，等待日志查看器提示导出成功以后再打开。

5.如何进行日志的排序？

答：信息列表使用系统原生控件，没有显示上下箭头时表示没有进行排序，点击后排序才会显示上下箭头。鼠标单击信息列表的标题。如：点击系统日志的级别，右边会出现一个向下的箭头，再次点击级别会出现一个向上的箭头，此时可以进行正常排序。

6.为什么第一次打开日志查看器，未按照日志时间排序？

答：日志排序不支持加载过程中排序，所以第一次打开时不会默认按照时间排序，需要日志加载完成后手动点击进行排序。

7.如何处理日志查看器审计日志为空或者日志缺失的问题？

答：审计服务默认是关闭的，需要手动开启，如果审计服务异常关闭，则不会产生审计日志。终端用命令systemctl status auditd.service查看审计服务状态是否为active状态，若不是，则用命令修改文件 sudo vim /etc/default/grub，将文件内 audit=0修改为audit=1，并执行 update-grub 命令，完成后重启系统，开启审计服务。
